Bravo Quick Ref: Browser Landscape  LAST UPDATED:  JAN 11, 2014

My Browsers Feb 2016
I use
on my...
IE11
(60%)
UC
(25%)
FF
(2%)
Opera
(1%)
Edge
(1%)
CM
(10%)
Dolphin
(1%)
Desktop 100% 100% 100% 100% 10% 0% 0%
Notebooks 100% 50% 25% 0% 0% 0% 0%
Tablets 50% 50% 0% 0% 0% 50% 0%
Phones 2%* 100% 0% 0% 0% 100% 5%
Servers 100% 0% 5% 1%** 0% 0% 0%

Increasingly, many sites no longer support IE7/8.  Newer versions of Internet Explorer, Google Chrome, or Firefox are required. A new issue in recent years is Compatibility View: You might need to manually add a site, adjust Compatibility View Settings, or even turn off Compatibility View entirely. Users with older operating system maybe not be able to upgrade their Internet Explorer any further, in which case, they must add an alternate browser to supplement IE, for forgo access to those incompatible sites.

Browser OS requirements fails distorted Remarks
IE8 XP-sp2 1% 2% dotnet 4 req sp3
IE9 Vi-sp2, w7, w8 0% 0% Compatibility View
+Developer Modes
IE10 w7, w8, RT 0.1% 0.5%
IE11 w8.1, RT8.1 0.1% 1%
FF21+ XP-sp3 1% 1%  
Ch26+ XP-sp2, Vi, 7/8 2% 2%  
Op12+ w2k-w7 2% 3%  

IE9: vista-sp2/w7, no XP, FF13 >XPsp3, Opera supports 2k-W7

NOTE: Very often, your apparent browser problems are actually cause by other issues, including: browser settings, staled cache, network infrastructure, video driver issues, general O.S. corruption, AND prerequisite platforms, such as: dotnet framework, active-x modules, plug-ins, etc.

State of Web Browsing

Year Web browsers users(m)
1991 www (Nexus) 4
1992 ViolaWWW, Erwise, MidasWWW, MacWWW (Samba) 7
1993 Mosaic, Cello, Lynx 2.0, Arena, AMosaic 1.0 10
1994 IBM WebExplorer, NS Nav, Minuet 21
1995 IE1, NS Nav2, OmniWeb, UdiWWW, IE 2 16-40
1996 IE3, NS Nav3, Opera 2.0 36-74
1997 IE4, NS Nav 4.0, NS Communicator 4.0, Opera3 70-119
1998 Mozilla 147-186
1999 Mozilla M3, IE5 248-279
2000 Konqueror, NS 6, Opera 4~5 361-393
2001 IE 6, Opera 6 513-494
2002 NS 7, Mozilla 1.0, 587-673
2003 Opera 7, Safari 1.0 719-783
2004 FF 1.0, NS Browser, OmniWeb 5.0 817-909
2005 Safari 2.0, NS Browser 8.0, Opera 8, AOL Explorer 1.0, Maxthon 1.0, Shiira 1.0 1018-1021
2006 SeaMonkey 1.0, FF 2.0, Avant 11, iCab 3, Opera 9,[13] IE 7, Sputnik 1093-1146
2007 Maxthon 2.0, NS Nav 9, NetSurf 1.0, Flock 1.0, Safari 3.0 1319-1357
2008 Konqueror 4, Safari 3.1, Opera 9.5, FF 3, Chrome 1 1574-1586
2009 IE 8, Chrome 2-3, Safari 4, Opera 10, SeaMonkey 2, FF 3.5 1802
2010 FF 3.6, Chrome 4-8, Opera 10.50, Safari 5, Opera 11 1971
2011 Chrome 9-16, FF 4-8, IE 9, Maxthon 3.0, SeaMonkey 2.1-2.3, Opera 11.50, Safari 5.1 2095
2012 ff9-14, ie10(w8), ch17-20 (jul 22 2012)  
2013 ie11(w8.1 Oct 18, 2013)  
2014 FF28-33, Ch33, Op20  

Engine nomenclature

Layout engine Release version Preview version Used by
Amaya 11.3.1 11.3-pre Amaya
Gecko 11.0 12.0b1 All Mozilla software, including FF; SeaMonkey and Galeon; Camino; K-Meleon; Flock (up to 2.x); Epiphany-gecko; Debian IceWeasel; GNU IceCat (formerly GNU IceWeasel); Icedove, Iceape and Iceowl; Fennec. Also used by the Maple platform in 2010 and 2011 Samsung "SmartTV" devices which are based on the build used in FF 3.0.
KHTML   N/A Konqueror
Presto 2.10.229 2.10.238 Opera; Opera Mobile, Nintendo DS & DSi Browser‎; Internet Channel
Prince 8.0 N/A Prince XML
Tasman (IE 5.2.3 for Mac) none (aborted in 2003) IE 5+ for Mac OS X
Trident 5.0 (IE 9) 6.0 (IE 10) IE and other IE shells like Maxthon, Windows Phone 7/8
WebKit 534.20 r83424 Safari (both desktop and mobile), Google Chrome, Maxthon 3, Shiira, iCab 4, OmniWeb 5.5+, Web, Adobe AIR, Midori, Adobe Dreamweaver CS4 and CS5, Android browser, Palm webOS browser, Symbian S60 browser, OWB, Steam, Rekonq, Arora, Flock (version 3+), RockMelt, Dolphin Browser. Used by the LG Smart TV platform to enable web content on TVs.
Adobe SVG Viewer, Batik, eSVG and Renesis are SVG-Plugins.

 

Major Sites Requirements

Site Date IE Chrome FF Safari Opera
Chase 3/5/2015 10 31 24 6  
Magix jul 2014 9        
M4 webmail
Youtube            
MLS            




See Also: